CRMProjectItem
This method will get all CRMProjectItem Objects
GET/api/crm/crmprojectitems
Query parameters
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of CRMProjectItem objectsarray<CRMProjectItem>
Show fields (56)
idintegerPrimary key of the mapped billing item. Internal ID.
namestringrequiredName of the billing item.
descriptionstringrequiredDescription of the billing item shown to the customer.
internal_descriptionstringInternal description of the billing item, not shown to the customer.
fixed_hoursnumber (float)Fixed number of hours billed.
fixed_pricenumber (float)Fixed price billed.
fixed_price_base_unitnumber (float)Base unit for the fixed price.
price_fixed_hoursnumber (float)Price for the fixed hours.
price_additional_hoursnumber (float)Price for each additional hour.
name_additional_hoursstringName of the additional hours item.
description_additional_hoursstringDescription of the additional hours item.
time_billed_on_ticket_closebooleanWhether the time is billed when the ticket is closed.
billing_typeBillingItemTypeBilling item type.
Show fields (12)
idintegerPrimary key of the billing item type. Internal ID.
namestringName of the billing item type.
fixed_price_addon_one_namestringName of the first fixed price addon.
fixed_price_addon_two_namestringName of the second fixed price addon.
fixed_price_addon_one_name_personstringName of the first fixed price addon for persons.
fixed_price_addon_two_name_personstringName of the second fixed price addon for persons.
categorystringrequiredCategory of the billing item type.
Allowed:
projectsubscriptionbookableeventshippinglocationtypestringrequiredType of the billing item type.
Allowed:
subscriptionbookable-hourevent-fixedslahoursdaysfixedinternalunitstringUnit of the billing item type, for example piece or hour.
force_repeatingbooleanItems of this type always repeat.
can_repeatbooleanItems of this type can repeat.
deletedbooleanThis property is used to mark an entity as deleted / archived
buying_pricenumber (float)Purchase price of the item.
recurrenceCRMRecurrenceRecurrence the billing item follows.
Show fields (9)
idintegerPrimary key of the recurrence. Internal ID.
namestringName of the recurrence, for example monthly.
oncebooleanThe recurrence happens only once.
allow_partial_on_eq_start_billingbooleanAllows partial billing if start and billed date are equal. primarily used for the first billing of a yearly contract
date_stringstringDate pattern of the recurrence as text.
tolerancenumber (float)Tolerance in days around the recurrence date.
deletedbooleanThe recurrence is deleted.
rounding_stepsintegerSteps used to round the recurrence.
month_factorintegerNumber of months between two recurrences.
deletedbooleanWhether the billing item is deleted.
condition_date_afterstring (date-time)The item applies only to dates after this date.
condition_date_beforestring (date-time)The item applies only to dates before this date.
condition_country_codestringCountry code the item applies to.
condition_zip_code_fromstringStart of the postal code range the item applies to.
condition_zip_code_tostringEnd of the postal code range the item applies to.
condition_time_after_hourintegerThe item applies only after this hour of the day.
condition_max_lengthintegerMaximum length the item applies to.
condition_time_before_hourintegerThe item applies only before this hour of the day.
condition_sub_access_tagAccessTagAccess tag a subscription must have for the item to apply.
Show fields (6)
idintegerPrimary key of the access tag. Internal ID, used as the reference in access rights.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
short_identifierstringShort identifier of the entity.
condition_show_despite_missing_access_tagbooleanWhether the item is shown even if the access tag is missing.
condition_sub_free_logicstringFree-form condition logic for the subscription.
fixed_price_logicstringFree-form logic that calculates the fixed price.
sub_self_service_addbooleanWhether members can add the subscription themselves.
sub_self_service_deletebooleanWhether members can cancel the subscription themselves.
sub_self_service_add_fixed_pricenumber (float)Fixed price charged when members add the subscription themselves.
sub_self_service_delete_fixed_pricenumber (float)Fixed price charged when members cancel the subscription themselves.
sub_pre_paidbooleanWhether the subscription is paid in advance.
sub_only_billed_after_startbooleanWhether the subscription is only billed after its start date.
sub_people_age_group_oneintegerUpper age limit of age group one.
sub_people_age_group_one_discountintegerDiscount in percent for age group one.
sub_people_age_group_one_freeintegerNumber of free places for age group one.
sub_people_age_group_twointegerUpper age limit of age group two.
sub_people_age_group_two_discountintegerDiscount in percent for age group two.
sub_people_age_group_two_freeintegerNumber of free places for age group two.
sub_people_age_group_threeintegerUpper age limit of age group three.
sub_people_age_group_three_discountintegerDiscount in percent for age group three.
sub_people_age_group_three_freeintegerNumber of free places for age group three.
sub_people_age_group_fourintegerUpper age limit of age group four.
sub_people_age_group_four_discountintegerDiscount in percent for age group four.
sub_people_age_group_four_freeintegerNumber of free places for age group four.
price_is_bruttobooleanWhether the prices are gross prices including tax.
skustringArtikelnummer (Stock Keeping Unit)
barcodestringBarcode (ISBN, UPC, GTIN usw.)
projectCRMProject5Project the item belongs to.
Show fields (19)
idintegerPrimary key of the project. Internal ID.
namestringName of the project.
closedstring (date-time)Time the project was closed.
billedstring (date-time)Time the project was billed.
numberstringNumber of the project.
startstring (date-time)Start of the project.
endstring (date-time)End of the project.
descriptionstringDescription of the project.
companyCRMCompanyCompany the project belongs to.
internal_main_contactUser14Internal login user who is the main contact.
categoryCRMProjectCategoryCategory of the project.
archivedbooleanThe project is archived.
visible_for_customerbooleanThe project is visible in the customer app.
name_for_customerstringName of the project shown to customers.
invoice_emailstringE-mail address for invoices of the project.
time_report_emailstringE-mail address for time reports of the project.
search_stringstringText that the entity can be searched by.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
offerOfferOffer the item was taken from.
Show fields (33)
idintegerPrimary key of the invoice document. Internal ID.
tokenstringToken that identifies the document for public access.
numberintegerRunning document number.
manual_number_prefixstringPrefix of a manually entered document number.
manual_numberintegerManually entered document number.
number_stringstringDocument number as displayed to users.
generation_datestring (date-time)Date the document was generated.
number_datestring (date-time)Date used for the document number.
messagestringMessage printed on the document.
currencystringCurrency of the document.
namestringName of the document.
due_datestring (date-time)Due date of the document.
netto_valuenumber (float)Net total of the document.
brutto_valuenumber (float)Gross total of the document.
tax_valuenumber (float)Total tax amount of the document.
taxTaxrequiredTax rate applied to the document.
linked_number_titlestringTitle of the linked document number.
linked_numberstringNumber of the linked document.
statusstringStatus of the document.
previous_statusstringStatus before the last change.
status_updatedstring (date-time)Point in time the status was last changed.
archivedbooleanWhether the document is archived.
last_pdf_exportstring (date-time)Point in time the PDF was last exported.
last_status_exportstringStatus at the last export.
search_stringstringText that the entity can be searched by.
offer_accounting_typeOfferAccountingTyperequiredAccounting type of the offer.
itemsarray<OfferItem>Items of the offer.
buyerOfferBuyerBuyer of the offer.
accepted_datestring (date-time)Date the offer was accepted.
is_accepted_date_from_ext_servicebooleanThe acceptance date comes from an external service.
projectCRMProject5Project the offer belongs to.
invoicesarray<Invoice12>Invoices created from the offer.
base_event_sign_upBaseEventSignUp10Sign-up the offer was created for.
startstring (date-time)Start of the billed service.
endstring (date-time)End of the billed service.
billedstring (date-time)Time the item was billed.
quantitynumber (float)requiredQuantity of the item.
goodwillbooleanThe item is a goodwill item and is not charged.
curl --request GET \
--url https://your-instance.iw-erp.de/api/crm/crmprojectitems \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/crm/crmprojectitems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/crm/crmprojectitems"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/crm/crmprojectitems', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/crm/crmprojectitems"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/crm/crmprojectitems")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/crm/crmprojectitems"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/crm_project_item_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await CrmProjectItemController.getAll();
if (result.success) {
print(result.data);
}[
{
"name": "Beispiel",
"description": "Text",
"quantity": 1.5,
"id": 42,
"internal_description": "Text",
"fixed_hours": 1.5,
"fixed_price": 49.9,
"fixed_price_base_unit": 49.9,
"price_fixed_hours": 49.9,
"price_additional_hours": 49.9
}
]Add a new CRMProjectItem
POST/api/crm/crmprojectitems
Responses
200Add a new CRMProjectItemCRMProjectItem2
Show fields (56)
idintegerPrimary key of the mapped billing item. Internal ID.
namestringrequiredName of the billing item.
descriptionstringrequiredDescription of the billing item shown to the customer.
internal_descriptionstringInternal description of the billing item, not shown to the customer.
fixed_hoursnumber (float)Fixed number of hours billed.
fixed_pricenumber (float)Fixed price billed.
fixed_price_base_unitnumber (float)Base unit for the fixed price.
price_fixed_hoursnumber (float)Price for the fixed hours.
price_additional_hoursnumber (float)Price for each additional hour.
name_additional_hoursstringName of the additional hours item.
description_additional_hoursstringDescription of the additional hours item.
time_billed_on_ticket_closebooleanWhether the time is billed when the ticket is closed.
billing_typeBillingItemTypeBilling item type.
Show fields (12)
idintegerPrimary key of the billing item type. Internal ID.
namestringName of the billing item type.
fixed_price_addon_one_namestringName of the first fixed price addon.
fixed_price_addon_two_namestringName of the second fixed price addon.
fixed_price_addon_one_name_personstringName of the first fixed price addon for persons.
fixed_price_addon_two_name_personstringName of the second fixed price addon for persons.
categorystringrequiredCategory of the billing item type.
Allowed:
projectsubscriptionbookableeventshippinglocationtypestringrequiredType of the billing item type.
Allowed:
subscriptionbookable-hourevent-fixedslahoursdaysfixedinternalunitstringUnit of the billing item type, for example piece or hour.
force_repeatingbooleanItems of this type always repeat.
can_repeatbooleanItems of this type can repeat.
deletedbooleanThis property is used to mark an entity as deleted / archived
buying_pricenumber (float)Purchase price of the item.
recurrenceCRMRecurrenceRecurrence the billing item follows.
Show fields (9)
idintegerPrimary key of the recurrence. Internal ID.
namestringName of the recurrence, for example monthly.
oncebooleanThe recurrence happens only once.
allow_partial_on_eq_start_billingbooleanAllows partial billing if start and billed date are equal. primarily used for the first billing of a yearly contract
date_stringstringDate pattern of the recurrence as text.
tolerancenumber (float)Tolerance in days around the recurrence date.
deletedbooleanThe recurrence is deleted.
rounding_stepsintegerSteps used to round the recurrence.
month_factorintegerNumber of months between two recurrences.
deletedbooleanWhether the billing item is deleted.
condition_date_afterstring (date-time)The item applies only to dates after this date.
condition_date_beforestring (date-time)The item applies only to dates before this date.
condition_country_codestringCountry code the item applies to.
condition_zip_code_fromstringStart of the postal code range the item applies to.
condition_zip_code_tostringEnd of the postal code range the item applies to.
condition_time_after_hourintegerThe item applies only after this hour of the day.
condition_max_lengthintegerMaximum length the item applies to.
condition_time_before_hourintegerThe item applies only before this hour of the day.
condition_sub_access_tagAccessTagAccess tag a subscription must have for the item to apply.
Show fields (6)
idintegerPrimary key of the access tag. Internal ID, used as the reference in access rights.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
short_identifierstringShort identifier of the entity.
condition_show_despite_missing_access_tagbooleanWhether the item is shown even if the access tag is missing.
condition_sub_free_logicstringFree-form condition logic for the subscription.
fixed_price_logicstringFree-form logic that calculates the fixed price.
sub_self_service_addbooleanWhether members can add the subscription themselves.
sub_self_service_deletebooleanWhether members can cancel the subscription themselves.
sub_self_service_add_fixed_pricenumber (float)Fixed price charged when members add the subscription themselves.
sub_self_service_delete_fixed_pricenumber (float)Fixed price charged when members cancel the subscription themselves.
sub_pre_paidbooleanWhether the subscription is paid in advance.
sub_only_billed_after_startbooleanWhether the subscription is only billed after its start date.
sub_people_age_group_oneintegerUpper age limit of age group one.
sub_people_age_group_one_discountintegerDiscount in percent for age group one.
sub_people_age_group_one_freeintegerNumber of free places for age group one.
sub_people_age_group_twointegerUpper age limit of age group two.
sub_people_age_group_two_discountintegerDiscount in percent for age group two.
sub_people_age_group_two_freeintegerNumber of free places for age group two.
sub_people_age_group_threeintegerUpper age limit of age group three.
sub_people_age_group_three_discountintegerDiscount in percent for age group three.
sub_people_age_group_three_freeintegerNumber of free places for age group three.
sub_people_age_group_fourintegerUpper age limit of age group four.
sub_people_age_group_four_discountintegerDiscount in percent for age group four.
sub_people_age_group_four_freeintegerNumber of free places for age group four.
price_is_bruttobooleanWhether the prices are gross prices including tax.
skustringArtikelnummer (Stock Keeping Unit)
barcodestringBarcode (ISBN, UPC, GTIN usw.)
projectCRMProjectProject the item belongs to.
Show fields (19)
idintegerPrimary key of the project. Internal ID.
namestringName of the project.
closedstring (date-time)Time the project was closed.
billedstring (date-time)Time the project was billed.
numberstringNumber of the project.
startstring (date-time)Start of the project.
endstring (date-time)End of the project.
descriptionstringDescription of the project.
companyCRMCompanyCompany the project belongs to.
internal_main_contactUser14Internal login user who is the main contact.
categoryCRMProjectCategoryCategory of the project.
archivedbooleanThe project is archived.
visible_for_customerbooleanThe project is visible in the customer app.
name_for_customerstringName of the project shown to customers.
invoice_emailstringE-mail address for invoices of the project.
time_report_emailstringE-mail address for time reports of the project.
search_stringstringText that the entity can be searched by.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
offerOffer2Offer the item was taken from.
Show fields (31)
idintegerPrimary key of the invoice document. Internal ID.
tokenstringToken that identifies the document for public access.
numberintegerRunning document number.
manual_number_prefixstringPrefix of a manually entered document number.
manual_numberintegerManually entered document number.
number_stringstringDocument number as displayed to users.
generation_datestring (date-time)Date the document was generated.
number_datestring (date-time)Date used for the document number.
messagestringMessage printed on the document.
currencystringCurrency of the document.
namestringName of the document.
due_datestring (date-time)Due date of the document.
netto_valuenumber (float)Net total of the document.
brutto_valuenumber (float)Gross total of the document.
tax_valuenumber (float)Total tax amount of the document.
taxTaxrequiredTax rate applied to the document.
linked_number_titlestringTitle of the linked document number.
linked_numberstringNumber of the linked document.
statusstringStatus of the document.
previous_statusstringStatus before the last change.
status_updatedstring (date-time)Point in time the status was last changed.
archivedbooleanWhether the document is archived.
last_pdf_exportstring (date-time)Point in time the PDF was last exported.
last_status_exportstringStatus at the last export.
search_stringstringText that the entity can be searched by.
offer_accounting_typeOfferAccountingTyperequiredAccounting type of the offer.
itemsarray<OfferItem2>Items of the offer.
buyerOfferBuyer2Buyer of the offer.
accepted_datestring (date-time)Date the offer was accepted.
is_accepted_date_from_ext_servicebooleanThe acceptance date comes from an external service.
projectCRMProjectProject the offer belongs to.
startstring (date-time)Start of the billed service.
endstring (date-time)End of the billed service.
billedstring (date-time)Time the item was billed.
quantitynumber (float)requiredQuantity of the item.
goodwillbooleanThe item is a goodwill item and is not charged.
curl --request POST \
--url https://your-instance.iw-erp.de/api/crm/crmprojectitems \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'POST', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/crm/crmprojectitems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/crm/crmprojectitems"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/crm/crmprojectitems', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/crm/crmprojectitems"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/crm/crmprojectitems")
.post(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/crm/crmprojectitems"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/crm_project_item_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/crm_project_item.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await CrmProjectItemController.post(CrmProjectItem.fromJson({}));
if (result.success) {
print(result.data);
}{
"name": "Beispiel",
"description": "Text",
"quantity": 1.5,
"id": 42,
"internal_description": "Text",
"fixed_hours": 1.5,
"fixed_price": 49.9,
"fixed_price_base_unit": 49.9,
"price_fixed_hours": 49.9,
"price_additional_hours": 49.9
}This method will get a single CRMProjectItem Object with the given id
GET/api/crm/crmprojectitems/{id}
Path parameters
idrequiredstring |
Responses
200Returns a single CRMProjectItemCRMProjectItem
Show fields (56)
idintegerPrimary key of the mapped billing item. Internal ID.
namestringrequiredName of the billing item.
descriptionstringrequiredDescription of the billing item shown to the customer.
internal_descriptionstringInternal description of the billing item, not shown to the customer.
fixed_hoursnumber (float)Fixed number of hours billed.
fixed_pricenumber (float)Fixed price billed.
fixed_price_base_unitnumber (float)Base unit for the fixed price.
price_fixed_hoursnumber (float)Price for the fixed hours.
price_additional_hoursnumber (float)Price for each additional hour.
name_additional_hoursstringName of the additional hours item.
description_additional_hoursstringDescription of the additional hours item.
time_billed_on_ticket_closebooleanWhether the time is billed when the ticket is closed.
billing_typeBillingItemTypeBilling item type.
Show fields (12)
idintegerPrimary key of the billing item type. Internal ID.
namestringName of the billing item type.
fixed_price_addon_one_namestringName of the first fixed price addon.
fixed_price_addon_two_namestringName of the second fixed price addon.
fixed_price_addon_one_name_personstringName of the first fixed price addon for persons.
fixed_price_addon_two_name_personstringName of the second fixed price addon for persons.
categorystringrequiredCategory of the billing item type.
Allowed:
projectsubscriptionbookableeventshippinglocationtypestringrequiredType of the billing item type.
Allowed:
subscriptionbookable-hourevent-fixedslahoursdaysfixedinternalunitstringUnit of the billing item type, for example piece or hour.
force_repeatingbooleanItems of this type always repeat.
can_repeatbooleanItems of this type can repeat.
deletedbooleanThis property is used to mark an entity as deleted / archived
buying_pricenumber (float)Purchase price of the item.
recurrenceCRMRecurrenceRecurrence the billing item follows.
Show fields (9)
idintegerPrimary key of the recurrence. Internal ID.
namestringName of the recurrence, for example monthly.
oncebooleanThe recurrence happens only once.
allow_partial_on_eq_start_billingbooleanAllows partial billing if start and billed date are equal. primarily used for the first billing of a yearly contract
date_stringstringDate pattern of the recurrence as text.
tolerancenumber (float)Tolerance in days around the recurrence date.
deletedbooleanThe recurrence is deleted.
rounding_stepsintegerSteps used to round the recurrence.
month_factorintegerNumber of months between two recurrences.
deletedbooleanWhether the billing item is deleted.
condition_date_afterstring (date-time)The item applies only to dates after this date.
condition_date_beforestring (date-time)The item applies only to dates before this date.
condition_country_codestringCountry code the item applies to.
condition_zip_code_fromstringStart of the postal code range the item applies to.
condition_zip_code_tostringEnd of the postal code range the item applies to.
condition_time_after_hourintegerThe item applies only after this hour of the day.
condition_max_lengthintegerMaximum length the item applies to.
condition_time_before_hourintegerThe item applies only before this hour of the day.
condition_sub_access_tagAccessTagAccess tag a subscription must have for the item to apply.
Show fields (6)
idintegerPrimary key of the access tag. Internal ID, used as the reference in access rights.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
short_identifierstringShort identifier of the entity.
condition_show_despite_missing_access_tagbooleanWhether the item is shown even if the access tag is missing.
condition_sub_free_logicstringFree-form condition logic for the subscription.
fixed_price_logicstringFree-form logic that calculates the fixed price.
sub_self_service_addbooleanWhether members can add the subscription themselves.
sub_self_service_deletebooleanWhether members can cancel the subscription themselves.
sub_self_service_add_fixed_pricenumber (float)Fixed price charged when members add the subscription themselves.
sub_self_service_delete_fixed_pricenumber (float)Fixed price charged when members cancel the subscription themselves.
sub_pre_paidbooleanWhether the subscription is paid in advance.
sub_only_billed_after_startbooleanWhether the subscription is only billed after its start date.
sub_people_age_group_oneintegerUpper age limit of age group one.
sub_people_age_group_one_discountintegerDiscount in percent for age group one.
sub_people_age_group_one_freeintegerNumber of free places for age group one.
sub_people_age_group_twointegerUpper age limit of age group two.
sub_people_age_group_two_discountintegerDiscount in percent for age group two.
sub_people_age_group_two_freeintegerNumber of free places for age group two.
sub_people_age_group_threeintegerUpper age limit of age group three.
sub_people_age_group_three_discountintegerDiscount in percent for age group three.
sub_people_age_group_three_freeintegerNumber of free places for age group three.
sub_people_age_group_fourintegerUpper age limit of age group four.
sub_people_age_group_four_discountintegerDiscount in percent for age group four.
sub_people_age_group_four_freeintegerNumber of free places for age group four.
price_is_bruttobooleanWhether the prices are gross prices including tax.
skustringArtikelnummer (Stock Keeping Unit)
barcodestringBarcode (ISBN, UPC, GTIN usw.)
projectCRMProject5Project the item belongs to.
Show fields (19)
idintegerPrimary key of the project. Internal ID.
namestringName of the project.
closedstring (date-time)Time the project was closed.
billedstring (date-time)Time the project was billed.
numberstringNumber of the project.
startstring (date-time)Start of the project.
endstring (date-time)End of the project.
descriptionstringDescription of the project.
companyCRMCompanyCompany the project belongs to.
internal_main_contactUser14Internal login user who is the main contact.
categoryCRMProjectCategoryCategory of the project.
archivedbooleanThe project is archived.
visible_for_customerbooleanThe project is visible in the customer app.
name_for_customerstringName of the project shown to customers.
invoice_emailstringE-mail address for invoices of the project.
time_report_emailstringE-mail address for time reports of the project.
search_stringstringText that the entity can be searched by.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
offerOfferOffer the item was taken from.
Show fields (33)
idintegerPrimary key of the invoice document. Internal ID.
tokenstringToken that identifies the document for public access.
numberintegerRunning document number.
manual_number_prefixstringPrefix of a manually entered document number.
manual_numberintegerManually entered document number.
number_stringstringDocument number as displayed to users.
generation_datestring (date-time)Date the document was generated.
number_datestring (date-time)Date used for the document number.
messagestringMessage printed on the document.
currencystringCurrency of the document.
namestringName of the document.
due_datestring (date-time)Due date of the document.
netto_valuenumber (float)Net total of the document.
brutto_valuenumber (float)Gross total of the document.
tax_valuenumber (float)Total tax amount of the document.
taxTaxrequiredTax rate applied to the document.
linked_number_titlestringTitle of the linked document number.
linked_numberstringNumber of the linked document.
statusstringStatus of the document.
previous_statusstringStatus before the last change.
status_updatedstring (date-time)Point in time the status was last changed.
archivedbooleanWhether the document is archived.
last_pdf_exportstring (date-time)Point in time the PDF was last exported.
last_status_exportstringStatus at the last export.
search_stringstringText that the entity can be searched by.
offer_accounting_typeOfferAccountingTyperequiredAccounting type of the offer.
itemsarray<OfferItem>Items of the offer.
buyerOfferBuyerBuyer of the offer.
accepted_datestring (date-time)Date the offer was accepted.
is_accepted_date_from_ext_servicebooleanThe acceptance date comes from an external service.
projectCRMProject5Project the offer belongs to.
invoicesarray<Invoice12>Invoices created from the offer.
base_event_sign_upBaseEventSignUp10Sign-up the offer was created for.
startstring (date-time)Start of the billed service.
endstring (date-time)End of the billed service.
billedstring (date-time)Time the item was billed.
quantitynumber (float)requiredQuantity of the item.
goodwillbooleanThe item is a goodwill item and is not charged.
curl --request GET \
--url https://your-instance.iw-erp.de/api/crm/crmprojectitems/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/crm/crmprojectitems/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/crm/crmprojectitems/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/crm/crmprojectitems/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/crm/crmprojectitems/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/crm/crmprojectitems/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/crm/crmprojectitems/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/crm_project_item_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await CrmProjectItemController.get('42');
if (result.success) {
print(result.data);
}{
"name": "Beispiel",
"description": "Text",
"quantity": 1.5,
"id": 42,
"internal_description": "Text",
"fixed_hours": 1.5,
"fixed_price": 49.9,
"fixed_price_base_unit": 49.9,
"price_fixed_hours": 49.9,
"price_additional_hours": 49.9
}This method will update a CRMProjectItem Object
PUT/api/crm/crmprojectitems/{id}
Path parameters
idrequiredstring |
Responses
200Update a CRMProjectItemCRMProjectItem
Show fields (56)
idintegerPrimary key of the mapped billing item. Internal ID.
namestringrequiredName of the billing item.
descriptionstringrequiredDescription of the billing item shown to the customer.
internal_descriptionstringInternal description of the billing item, not shown to the customer.
fixed_hoursnumber (float)Fixed number of hours billed.
fixed_pricenumber (float)Fixed price billed.
fixed_price_base_unitnumber (float)Base unit for the fixed price.
price_fixed_hoursnumber (float)Price for the fixed hours.
price_additional_hoursnumber (float)Price for each additional hour.
name_additional_hoursstringName of the additional hours item.
description_additional_hoursstringDescription of the additional hours item.
time_billed_on_ticket_closebooleanWhether the time is billed when the ticket is closed.
billing_typeBillingItemTypeBilling item type.
Show fields (12)
idintegerPrimary key of the billing item type. Internal ID.
namestringName of the billing item type.
fixed_price_addon_one_namestringName of the first fixed price addon.
fixed_price_addon_two_namestringName of the second fixed price addon.
fixed_price_addon_one_name_personstringName of the first fixed price addon for persons.
fixed_price_addon_two_name_personstringName of the second fixed price addon for persons.
categorystringrequiredCategory of the billing item type.
Allowed:
projectsubscriptionbookableeventshippinglocationtypestringrequiredType of the billing item type.
Allowed:
subscriptionbookable-hourevent-fixedslahoursdaysfixedinternalunitstringUnit of the billing item type, for example piece or hour.
force_repeatingbooleanItems of this type always repeat.
can_repeatbooleanItems of this type can repeat.
deletedbooleanThis property is used to mark an entity as deleted / archived
buying_pricenumber (float)Purchase price of the item.
recurrenceCRMRecurrenceRecurrence the billing item follows.
Show fields (9)
idintegerPrimary key of the recurrence. Internal ID.
namestringName of the recurrence, for example monthly.
oncebooleanThe recurrence happens only once.
allow_partial_on_eq_start_billingbooleanAllows partial billing if start and billed date are equal. primarily used for the first billing of a yearly contract
date_stringstringDate pattern of the recurrence as text.
tolerancenumber (float)Tolerance in days around the recurrence date.
deletedbooleanThe recurrence is deleted.
rounding_stepsintegerSteps used to round the recurrence.
month_factorintegerNumber of months between two recurrences.
deletedbooleanWhether the billing item is deleted.
condition_date_afterstring (date-time)The item applies only to dates after this date.
condition_date_beforestring (date-time)The item applies only to dates before this date.
condition_country_codestringCountry code the item applies to.
condition_zip_code_fromstringStart of the postal code range the item applies to.
condition_zip_code_tostringEnd of the postal code range the item applies to.
condition_time_after_hourintegerThe item applies only after this hour of the day.
condition_max_lengthintegerMaximum length the item applies to.
condition_time_before_hourintegerThe item applies only before this hour of the day.
condition_sub_access_tagAccessTagAccess tag a subscription must have for the item to apply.
Show fields (6)
idintegerPrimary key of the access tag. Internal ID, used as the reference in access rights.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
short_identifierstringShort identifier of the entity.
condition_show_despite_missing_access_tagbooleanWhether the item is shown even if the access tag is missing.
condition_sub_free_logicstringFree-form condition logic for the subscription.
fixed_price_logicstringFree-form logic that calculates the fixed price.
sub_self_service_addbooleanWhether members can add the subscription themselves.
sub_self_service_deletebooleanWhether members can cancel the subscription themselves.
sub_self_service_add_fixed_pricenumber (float)Fixed price charged when members add the subscription themselves.
sub_self_service_delete_fixed_pricenumber (float)Fixed price charged when members cancel the subscription themselves.
sub_pre_paidbooleanWhether the subscription is paid in advance.
sub_only_billed_after_startbooleanWhether the subscription is only billed after its start date.
sub_people_age_group_oneintegerUpper age limit of age group one.
sub_people_age_group_one_discountintegerDiscount in percent for age group one.
sub_people_age_group_one_freeintegerNumber of free places for age group one.
sub_people_age_group_twointegerUpper age limit of age group two.
sub_people_age_group_two_discountintegerDiscount in percent for age group two.
sub_people_age_group_two_freeintegerNumber of free places for age group two.
sub_people_age_group_threeintegerUpper age limit of age group three.
sub_people_age_group_three_discountintegerDiscount in percent for age group three.
sub_people_age_group_three_freeintegerNumber of free places for age group three.
sub_people_age_group_fourintegerUpper age limit of age group four.
sub_people_age_group_four_discountintegerDiscount in percent for age group four.
sub_people_age_group_four_freeintegerNumber of free places for age group four.
price_is_bruttobooleanWhether the prices are gross prices including tax.
skustringArtikelnummer (Stock Keeping Unit)
barcodestringBarcode (ISBN, UPC, GTIN usw.)
projectCRMProject5Project the item belongs to.
Show fields (19)
idintegerPrimary key of the project. Internal ID.
namestringName of the project.
closedstring (date-time)Time the project was closed.
billedstring (date-time)Time the project was billed.
numberstringNumber of the project.
startstring (date-time)Start of the project.
endstring (date-time)End of the project.
descriptionstringDescription of the project.
companyCRMCompanyCompany the project belongs to.
internal_main_contactUser14Internal login user who is the main contact.
categoryCRMProjectCategoryCategory of the project.
archivedbooleanThe project is archived.
visible_for_customerbooleanThe project is visible in the customer app.
name_for_customerstringName of the project shown to customers.
invoice_emailstringE-mail address for invoices of the project.
time_report_emailstringE-mail address for time reports of the project.
search_stringstringText that the entity can be searched by.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
offerOfferOffer the item was taken from.
Show fields (33)
idintegerPrimary key of the invoice document. Internal ID.
tokenstringToken that identifies the document for public access.
numberintegerRunning document number.
manual_number_prefixstringPrefix of a manually entered document number.
manual_numberintegerManually entered document number.
number_stringstringDocument number as displayed to users.
generation_datestring (date-time)Date the document was generated.
number_datestring (date-time)Date used for the document number.
messagestringMessage printed on the document.
currencystringCurrency of the document.
namestringName of the document.
due_datestring (date-time)Due date of the document.
netto_valuenumber (float)Net total of the document.
brutto_valuenumber (float)Gross total of the document.
tax_valuenumber (float)Total tax amount of the document.
taxTaxrequiredTax rate applied to the document.
linked_number_titlestringTitle of the linked document number.
linked_numberstringNumber of the linked document.
statusstringStatus of the document.
previous_statusstringStatus before the last change.
status_updatedstring (date-time)Point in time the status was last changed.
archivedbooleanWhether the document is archived.
last_pdf_exportstring (date-time)Point in time the PDF was last exported.
last_status_exportstringStatus at the last export.
search_stringstringText that the entity can be searched by.
offer_accounting_typeOfferAccountingTyperequiredAccounting type of the offer.
itemsarray<OfferItem>Items of the offer.
buyerOfferBuyerBuyer of the offer.
accepted_datestring (date-time)Date the offer was accepted.
is_accepted_date_from_ext_servicebooleanThe acceptance date comes from an external service.
projectCRMProject5Project the offer belongs to.
invoicesarray<Invoice12>Invoices created from the offer.
base_event_sign_upBaseEventSignUp10Sign-up the offer was created for.
startstring (date-time)Start of the billed service.
endstring (date-time)End of the billed service.
billedstring (date-time)Time the item was billed.
quantitynumber (float)requiredQuantity of the item.
goodwillbooleanThe item is a goodwill item and is not charged.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/crm/crmprojectitems/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'PUT', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/crm/crmprojectitems/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/crm/crmprojectitems/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.put(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/crm/crmprojectitems/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/crm/crmprojectitems/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/crm/crmprojectitems/42")
.put(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/crm/crmprojectitems/42"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/crm_project_item_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/crm_project_item.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await CrmProjectItemController.put(CrmProjectItem.fromJson({}));
if (result.success) {
print(result.data);
}{
"name": "Beispiel",
"description": "Text",
"quantity": 1.5,
"id": 42,
"internal_description": "Text",
"fixed_hours": 1.5,
"fixed_price": 49.9,
"fixed_price_base_unit": 49.9,
"price_fixed_hours": 49.9,
"price_additional_hours": 49.9
}This method will update a CRMProjectItem Object
PATCH/api/crm/crmprojectitems/{id}
Path parameters
idrequiredstring |
Responses
200Update a CRMProjectItemCRMProjectItem
Show fields (56)
idintegerPrimary key of the mapped billing item. Internal ID.
namestringrequiredName of the billing item.
descriptionstringrequiredDescription of the billing item shown to the customer.
internal_descriptionstringInternal description of the billing item, not shown to the customer.
fixed_hoursnumber (float)Fixed number of hours billed.
fixed_pricenumber (float)Fixed price billed.
fixed_price_base_unitnumber (float)Base unit for the fixed price.
price_fixed_hoursnumber (float)Price for the fixed hours.
price_additional_hoursnumber (float)Price for each additional hour.
name_additional_hoursstringName of the additional hours item.
description_additional_hoursstringDescription of the additional hours item.
time_billed_on_ticket_closebooleanWhether the time is billed when the ticket is closed.
billing_typeBillingItemTypeBilling item type.
Show fields (12)
idintegerPrimary key of the billing item type. Internal ID.
namestringName of the billing item type.
fixed_price_addon_one_namestringName of the first fixed price addon.
fixed_price_addon_two_namestringName of the second fixed price addon.
fixed_price_addon_one_name_personstringName of the first fixed price addon for persons.
fixed_price_addon_two_name_personstringName of the second fixed price addon for persons.
categorystringrequiredCategory of the billing item type.
Allowed:
projectsubscriptionbookableeventshippinglocationtypestringrequiredType of the billing item type.
Allowed:
subscriptionbookable-hourevent-fixedslahoursdaysfixedinternalunitstringUnit of the billing item type, for example piece or hour.
force_repeatingbooleanItems of this type always repeat.
can_repeatbooleanItems of this type can repeat.
deletedbooleanThis property is used to mark an entity as deleted / archived
buying_pricenumber (float)Purchase price of the item.
recurrenceCRMRecurrenceRecurrence the billing item follows.
Show fields (9)
idintegerPrimary key of the recurrence. Internal ID.
namestringName of the recurrence, for example monthly.
oncebooleanThe recurrence happens only once.
allow_partial_on_eq_start_billingbooleanAllows partial billing if start and billed date are equal. primarily used for the first billing of a yearly contract
date_stringstringDate pattern of the recurrence as text.
tolerancenumber (float)Tolerance in days around the recurrence date.
deletedbooleanThe recurrence is deleted.
rounding_stepsintegerSteps used to round the recurrence.
month_factorintegerNumber of months between two recurrences.
deletedbooleanWhether the billing item is deleted.
condition_date_afterstring (date-time)The item applies only to dates after this date.
condition_date_beforestring (date-time)The item applies only to dates before this date.
condition_country_codestringCountry code the item applies to.
condition_zip_code_fromstringStart of the postal code range the item applies to.
condition_zip_code_tostringEnd of the postal code range the item applies to.
condition_time_after_hourintegerThe item applies only after this hour of the day.
condition_max_lengthintegerMaximum length the item applies to.
condition_time_before_hourintegerThe item applies only before this hour of the day.
condition_sub_access_tagAccessTagAccess tag a subscription must have for the item to apply.
Show fields (6)
idintegerPrimary key of the access tag. Internal ID, used as the reference in access rights.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
short_identifierstringShort identifier of the entity.
condition_show_despite_missing_access_tagbooleanWhether the item is shown even if the access tag is missing.
condition_sub_free_logicstringFree-form condition logic for the subscription.
fixed_price_logicstringFree-form logic that calculates the fixed price.
sub_self_service_addbooleanWhether members can add the subscription themselves.
sub_self_service_deletebooleanWhether members can cancel the subscription themselves.
sub_self_service_add_fixed_pricenumber (float)Fixed price charged when members add the subscription themselves.
sub_self_service_delete_fixed_pricenumber (float)Fixed price charged when members cancel the subscription themselves.
sub_pre_paidbooleanWhether the subscription is paid in advance.
sub_only_billed_after_startbooleanWhether the subscription is only billed after its start date.
sub_people_age_group_oneintegerUpper age limit of age group one.
sub_people_age_group_one_discountintegerDiscount in percent for age group one.
sub_people_age_group_one_freeintegerNumber of free places for age group one.
sub_people_age_group_twointegerUpper age limit of age group two.
sub_people_age_group_two_discountintegerDiscount in percent for age group two.
sub_people_age_group_two_freeintegerNumber of free places for age group two.
sub_people_age_group_threeintegerUpper age limit of age group three.
sub_people_age_group_three_discountintegerDiscount in percent for age group three.
sub_people_age_group_three_freeintegerNumber of free places for age group three.
sub_people_age_group_fourintegerUpper age limit of age group four.
sub_people_age_group_four_discountintegerDiscount in percent for age group four.
sub_people_age_group_four_freeintegerNumber of free places for age group four.
price_is_bruttobooleanWhether the prices are gross prices including tax.
skustringArtikelnummer (Stock Keeping Unit)
barcodestringBarcode (ISBN, UPC, GTIN usw.)
projectCRMProject5Project the item belongs to.
Show fields (19)
idintegerPrimary key of the project. Internal ID.
namestringName of the project.
closedstring (date-time)Time the project was closed.
billedstring (date-time)Time the project was billed.
numberstringNumber of the project.
startstring (date-time)Start of the project.
endstring (date-time)End of the project.
descriptionstringDescription of the project.
companyCRMCompanyCompany the project belongs to.
internal_main_contactUser14Internal login user who is the main contact.
categoryCRMProjectCategoryCategory of the project.
archivedbooleanThe project is archived.
visible_for_customerbooleanThe project is visible in the customer app.
name_for_customerstringName of the project shown to customers.
invoice_emailstringE-mail address for invoices of the project.
time_report_emailstringE-mail address for time reports of the project.
search_stringstringText that the entity can be searched by.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
offerOfferOffer the item was taken from.
Show fields (33)
idintegerPrimary key of the invoice document. Internal ID.
tokenstringToken that identifies the document for public access.
numberintegerRunning document number.
manual_number_prefixstringPrefix of a manually entered document number.
manual_numberintegerManually entered document number.
number_stringstringDocument number as displayed to users.
generation_datestring (date-time)Date the document was generated.
number_datestring (date-time)Date used for the document number.
messagestringMessage printed on the document.
currencystringCurrency of the document.
namestringName of the document.
due_datestring (date-time)Due date of the document.
netto_valuenumber (float)Net total of the document.
brutto_valuenumber (float)Gross total of the document.
tax_valuenumber (float)Total tax amount of the document.
taxTaxrequiredTax rate applied to the document.
linked_number_titlestringTitle of the linked document number.
linked_numberstringNumber of the linked document.
statusstringStatus of the document.
previous_statusstringStatus before the last change.
status_updatedstring (date-time)Point in time the status was last changed.
archivedbooleanWhether the document is archived.
last_pdf_exportstring (date-time)Point in time the PDF was last exported.
last_status_exportstringStatus at the last export.
search_stringstringText that the entity can be searched by.
offer_accounting_typeOfferAccountingTyperequiredAccounting type of the offer.
itemsarray<OfferItem>Items of the offer.
buyerOfferBuyerBuyer of the offer.
accepted_datestring (date-time)Date the offer was accepted.
is_accepted_date_from_ext_servicebooleanThe acceptance date comes from an external service.
projectCRMProject5Project the offer belongs to.
invoicesarray<Invoice12>Invoices created from the offer.
base_event_sign_upBaseEventSignUp10Sign-up the offer was created for.
startstring (date-time)Start of the billed service.
endstring (date-time)End of the billed service.
billedstring (date-time)Time the item was billed.
quantitynumber (float)requiredQuantity of the item.
goodwillbooleanThe item is a goodwill item and is not charged.
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/crm/crmprojectitems/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'PATCH', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/crm/crmprojectitems/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/crm/crmprojectitems/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.patch(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/crm/crmprojectitems/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/crm/crmprojectitems/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/crm/crmprojectitems/42")
.patch(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/crm/crmprojectitems/42"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/crm/crmprojectitems/42'),
headers: {'x-iw-jwt-token': '<TOKEN>'},
);
print(response.body);{
"name": "Beispiel",
"description": "Text",
"quantity": 1.5,
"id": 42,
"internal_description": "Text",
"fixed_hours": 1.5,
"fixed_price": 49.9,
"fixed_price_base_unit": 49.9,
"price_fixed_hours": 49.9,
"price_additional_hours": 49.9
}